View Bug Details

IDProjectCategoryView StatusLast Update
0001339DCP-o-matic[All Projects] Featurespublic2018-10-17 19:16
ReporterCarstenAssigned Tocarl 
PrioritynormalSeveritymajorReproducibilityN/A
Status closedResolutionfixed 
PlatformMacOSOS X OS Version10.11
Product Version2.14.0 
Target Version2.14.0Fixed in Version 
Summary0001339: Add CCAP display to standalone player
Description

Would be nice to have a CCAP display in the player. Something that's clearly discernible from subtitles/open captions.

Maybe a box in the lower part of the screen, or immediately below the video window, boxed, and indicated as CCAP. Shouldn't need much space, as only a limited number of chars and lines are allowed/recommended anyway. Maybe sooner or later we need to have something like that in DCP-o-matic main as well, so people know what they do to CCAPs.

Also, when CCAPs are selected/checked, disable all display/appearance options in DCP-o-matic.

  • Carsten
Tagsccap
Estimated work requiredUnknown

Activities

carl

2018-07-22 18:22

administrator   ~0002540

Good point. In an ideal world I guess the display would be representative of the some common CCAP system or other... is there a dominant one? What are its characteristics?

Is there no CCAP system that respects any of the appearance / formatting markup?

I'm pretty much clueless about CCAP as we didn't have them where I used to work.

Carsten

2018-07-22 21:34

manager   ~0002542

Last edited: 2018-07-23 00:17

View 7 revisions

Harold Hallikainen designs one of the major CCAP systems, he has put some documents together what to expect from a system.
Frankly I am clueless wether the SMPTE documents defining CCAP do deviate from OCAP styles. It may make sense to e.g. support italics on a CCAP display, but according to Harold's document, systems do not support that. Typically, they use their own internal font. Often, because they don't use raster displays, but special character dot matrix displays.

In short, up to three lines, up to 30/32 chars per line.

http://isdcf.com/papers/ISDCF-Doc9-Closed-Caption-Authoring-Best-Practices.pdf
http://isdcf.com/papers/ISDCF-Doc10-Subtitles-and-Captions-in%20Digital-Cinema-20160211.pdf
https://www.qsc.com/resource-files/whitepapers/q_wp_cin_accessibilitybestpractices.pdf

  • Carsten

Carsten

2018-07-22 21:58

manager  

Carsten

2018-07-23 00:09

manager   ~0002545

https://interop.cinepedia.com/Addition_To_Document_Release_2.0/ClosedCaption_Interop_2007_11_16_v1_9(clean).pdf

carl

2018-07-23 00:26

administrator   ~0002546

Last edited: 2018-07-23 00:31

View 2 revisions

OK it's in a separate window in ded71cffd18962ebb6b9611a5eb6dfafe9e8e4ec

Maybe there's somewhere we can put it in the main window, though perhaps this is a fairly niche thing to spend permenant screen real-estate on.

Carsten

2018-07-23 00:48

manager   ~0002549

Yup. A detachable window that displays automatically whenever there is CCAP content?

carl

2018-07-23 00:53

administrator   ~0002551

Yes, a separate window. At the moment it doesn't automatically open, but perhaps it should.

carl

2018-07-23 10:03

administrator   ~0002554

Restrictions/notes from Harold's doc:

  • fade ignored
  • no overlapping in time
  • no PNG
  • hposition ignore (but halign may be supported)
  • text elements should be in vertical order in the XML; valign and vposition can be used
  • valign defaults to centre; valign must be the same within a <Subtitle>
  • direction ignored
  • LoadFont / italic ignored
  • each line of the ccap must be in a <Text>; maximum 3
  • limit to 30 chars per line to avoid word-wrap

Carsten

2018-07-25 14:22

manager   ~0002564

Maybe create a fixed aspect ratio CCAP window, with an indicator for allowed line length? Could almost look like a VU-Meter - if text expands too far to the right, make it red. Should line length be monitored and hints being given before making the DCP? I guess content analysis could do that? I understand, line-wrapping is allowed, but what if all text elements don't fit onto 3*30? Guess it's okay to leave it to the user in general, but do create a hint.

  • Carsten

carl

2018-07-27 14:32

administrator   ~0002582

Hints for overlap and line length / too many lines are in master now. There's an awkward case of subs which are muxed into a video file being used as CCAPs; in that case it may take a long time to fish them out of the video file to check. The hints dialog should cope with this (running the check in the background with a progress meter) but I haven't tested that yet.

carl

2018-07-27 14:39

administrator   ~0002583

I think this is more or less resolved now.

Carsten

2018-07-28 00:03

manager   ~0002585

The Player plays the current ISDCF SMPTE Testcontent, incl. open captions with the right timing and position, and including closed captions. Good ;-)



Bildschirmfoto 2018-07-28 um 02.01.19.png (360,393 bytes)

Bug History

Date Modified Username Field Change
2018-07-22 17:20 Carsten New Bug
2018-07-22 17:20 Carsten Status new => assigned
2018-07-22 17:20 Carsten Assigned To => carl
2018-07-22 17:22 Carsten Description Updated View Revisions
2018-07-22 18:22 carl Note Added: 0002540
2018-07-22 21:34 Carsten Note Added: 0002542
2018-07-22 21:39 Carsten Note Edited: 0002542 View Revisions
2018-07-22 21:41 Carsten Note Edited: 0002542 View Revisions
2018-07-22 21:43 Carsten Note Edited: 0002542 View Revisions
2018-07-22 21:55 Carsten Note Edited: 0002542 View Revisions
2018-07-22 21:58 Carsten File Added: Bildschirmfoto 2018-07-22 um 23.50.51.png
2018-07-22 22:00 Carsten Note Edited: 0002542 View Revisions
2018-07-23 00:09 Carsten Note Added: 0002545
2018-07-23 00:17 Carsten Note Edited: 0002542 View Revisions
2018-07-23 00:26 carl Note Added: 0002546
2018-07-23 00:31 carl Note Edited: 0002546 View Revisions
2018-07-23 00:48 Carsten Note Added: 0002549
2018-07-23 00:53 carl Note Added: 0002551
2018-07-23 10:03 carl Note Added: 0002554
2018-07-25 14:22 Carsten Note Added: 0002564
2018-07-27 10:49 carl Tag Attached: ccap
2018-07-27 14:32 carl Note Added: 0002582
2018-07-27 14:39 carl Status assigned => resolved
2018-07-27 14:39 carl Resolution open => fixed
2018-07-27 14:39 carl Note Added: 0002583
2018-07-28 00:03 Carsten File Added: Bildschirmfoto 2018-07-28 um 02.01.19.png
2018-07-28 00:03 Carsten Note Added: 0002585
2018-10-17 19:16 carl Status resolved => closed